// -*- C++ -*-

// =====================================================================
//
// = LIBRARY
//    TAO/tao
//
// = FILENAME
//    Codeset_Translator_Base.cpp
//
// = DESCRIPTION The base for all the translator factories. Translator
// factories are responsible for supplying the proper translator on
// demand.
//
// = AUTHORS
//      Phil Mesnier <mesnier_p@ociweb.com>
//
// =====================================================================

#include "Codeset_Translator_Base.h"

ACE_RCSID (tao,
           Codeset_Translator_Base,
           "Codeset_Translator_Base.cpp,v 1.2 2005/11/02 07:13:02 ossama Exp")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_Codeset_Translator_Base::~TAO_Codeset_Translator_Base (void)
{

}

TAO_END_VERSIONED_NAMESPACE_DECL
