#include "PI_Server.h"
#include "PI_Server_Loader.h"
#include "ServerRequestInterceptor_Factory_Impl.h"

ACE_RCSID (PI_Server,
           PI_Server,
           "PI_Server.cpp,v 1.4 2005/11/04 09:26:55 ossama Exp")


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

int
TAO_PI_Server_Init::Initializer (void)
{
#if TAO_HAS_INTERCEPTORS == 1
  ACE_Service_Config::process_directive (ace_svc_desc_TAO_ServerRequestInterceptor_Adapter_Factory_Impl);
#endif  /* TAO_HAS_INTERCEPTORS */

  return ACE_Service_Config::process_directive (ace_svc_desc_TAO_PI_Server_Loader);
}

TAO_END_VERSIONED_NAMESPACE_DECL
