// Request_Dispatcher.cpp,v 1.7 2005/11/02 11:03:26 ossama Exp

#include "Request_Dispatcher.h"
#include "TAO_Server_Request.h"
#include "ORB_Core.h"

ACE_RCSID (tao, 
           Request_Dispatcher, 
           "Request_Dispatcher.cpp,v 1.7 2005/11/02 11:03:26 ossama Exp")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_Request_Dispatcher::~TAO_Request_Dispatcher (void)
{
}

void
TAO_Request_Dispatcher::dispatch (TAO_ORB_Core *orb_core,
                                  TAO_ServerRequest &request,
                                  CORBA::Object_out forward_to
                                  ACE_ENV_ARG_DECL)
{
  // Dispatch based on object key
  orb_core->adapter_registry ()->dispatch (request.object_key (),
                                           request,
                                           forward_to
                                           ACE_ENV_ARG_PARAMETER);
  ACE_CHECK;
}

TAO_END_VERSIONED_NAMESPACE_DECL
