// -*- C++ -*-

// ConsumesDef_i.cpp,v 1.4 2005/11/12 09:37:58 ossama Exp

#include "Repository_i.h"
#include "ConsumesDef_i.h"

ACE_RCSID (IFRService, 
           ConsumesDef_i, 
           "ConsumesDef_i.cpp,v 1.4 2005/11/12 09:37:58 ossama Exp")

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_ConsumesDef_i::TAO_ConsumesDef_i (
    TAO_Repository_i *repo
  )
  : TAO_IRObject_i (repo),
    TAO_Contained_i (repo),
    TAO_EventPortDef_i (repo)
{
}

TAO_ConsumesDef_i::~TAO_ConsumesDef_i (void)
{
}

CORBA::DefinitionKind
TAO_ConsumesDef_i::def_kind (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
    ACE_THROW_SPEC ((CORBA::SystemException))
{
  return CORBA::dk_Consumes;
}

TAO_END_VERSIONED_NAMESPACE_DECL
