// -*- C++ -*-
//
// Any_Array_Impl_T.inl,v 1.3 2005/11/03 17:38:44 ossama Exp

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

template<typename T_slice, typename T_forany>
ACE_INLINE
CORBA::Boolean
TAO::Any_Array_Impl_T<T_slice, T_forany>::marshal_value (TAO_OutputCDR &cdr)
{
  return (cdr << T_forany (this->value_));
}

template<typename T_slice, typename T_forany>
ACE_INLINE
CORBA::Boolean
TAO::Any_Array_Impl_T<T_slice, T_forany>::demarshal_value (TAO_InputCDR &cdr)
{
  T_forany tmp (this->value_);
  return (cdr >> tmp);
}

template<typename T_slice, typename T_forany>
ACE_INLINE
const void *
TAO::Any_Array_Impl_T<T_slice, T_forany>::value (void) const
{
  return this->value_;
}

TAO_END_VERSIONED_NAMESPACE_DECL
