//FlResource_Factory.cpp,v 1.3 2005/11/02 07:13:02 ossama Exp

#include "FlResource_Factory.h"
#include "debug.h"
#include "ace/FlReactor.h"

ACE_RCSID( TAO_FlResource,
           FlResource_Factory,
           "FlResource_Factory.cpp,v 1.3 2005/11/02 07:13:02 ossama Exp");

TAO_BEGIN_VERSIONED_NAMESPACE_DECL

namespace TAO
{
  FlResource_Factory::FlResource_Factory (void)
    : reactor_impl_( 0 )
  {
  }

  ACE_Reactor_Impl *
  FlResource_Factory::reactor_impl (void)
  {
    // synchronized by external locks
    if (!this->reactor_impl_)
    {
      ACE_NEW_RETURN (this->reactor_impl_,
                      ACE_FlReactor (),
                      0);

      if (TAO_debug_level > 0)
        ACE_DEBUG ((LM_DEBUG,
                    "TAO (%P|%t) - ACE_FlReactor created \n"));
    }

    return this->reactor_impl_;
  }
}

TAO_END_VERSIONED_NAMESPACE_DECL
