#include "Synch_Refcountable.h"

#if !defined (__ACE_INLINE__)
# include "Synch_Refcountable.inl"
#endif /* __ACE_INLINE__ */

#include "ace/Log_Msg.h"

ACE_RCSID (Utils,
           Synch_Refcountable,
           "Synch_Refcountable.cpp,v 1.2 2005/11/04 18:39:05 ossama Exp")


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_Synch_Refcountable::TAO_Synch_Refcountable (ACE_Lock *lock,
                                                int refcount)
  : ACE_Refcountable (refcount)
  , refcount_lock_ (lock)
{
}

TAO_Synch_Refcountable::~TAO_Synch_Refcountable (void)
{
  ACE_ASSERT (this->refcount_ == 0);
  delete this->refcount_lock_;
}

TAO_END_VERSIONED_NAMESPACE_DECL
