// This may look like C, but it's really -*- C++ -*-

//=============================================================================
/**
 *  @file    Foo_C_Custom_Proxy.h
 *
 *  Foo_C_Custom_Proxy.h,v 1.1 2005/10/19 00:27:51 dai_y Exp
 *
 *  @author  Tim Bradley <bradley_t@ociweb.com>
 */
//=============================================================================

#ifndef FOO_C_CUSTOM_PROXY_H
#define FOO_C_CUSTOM_PROXY_H

#include "CSD_TP_Foo_C_Export.h"
#include "ClientEngine.h"
#include "Foo_C_i.h"
#include "tao/CSD_ThreadPool/CSD_TP_Strategy.h"


class CSD_TP_Foo_C_Export Foo_C_Custom_Proxy
{
public:

  Foo_C_Custom_Proxy(Foo_C_i* servant,
                     Foo_C_ptr objref,
                       TAO::CSD::TP_Strategy* strategy);
  ~Foo_C_Custom_Proxy();

  bool validate_connection ();

  void op1(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS);
  void op2(CORBA::Long x ACE_ENV_ARG_DECL_WITH_DEFAULTS);
  CORBA::Long op3(CORBA::Long x ACE_ENV_ARG_DECL_WITH_DEFAULTS);
  void op4(CORBA::Long x ACE_ENV_ARG_DECL_WITH_DEFAULTS);
  void op5(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS);
  void done(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS);

  void cust_op1(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS);
  void cust_op2(long x ACE_ENV_ARG_DECL_WITH_DEFAULTS);
  long cust_op3(long x ACE_ENV_ARG_DECL_WITH_DEFAULTS);
  void cust_op4(long x ACE_ENV_ARG_DECL_WITH_DEFAULTS);
  void cust_op5(ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS);

private:
  Foo_C_i*                        servant_;
  Foo_C_var                       objref_;
  TAO::CSD::TP_Strategy_Handle    strategy_;
};

#endif
